package com.bonus.system.index.entity;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.ArrayList;
import java.util.List;

/**
 * 首页
 * @author zys
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class IndexDataBean {

    /**
     * 今日出勤状态
     */
    private IndexTodayAttBean todayAttBean = new IndexTodayAttBean();

    /**
     * 今日异常统计
     */
    private IndexAbnormalBean todayAbnormalBean = new IndexAbnormalBean();

    /**
     * 当月轮休、临时外出异常情况
     */
    private IndexMonthAbnormalBean monthAbnormalBean = new IndexMonthAbnormalBean();

    /**
     * 组织人员
     */
    private List<IndexOrgNumBean> orgNumBean = new ArrayList<>();

    /**
     * 当月异常统计
     */
    private IndexAbnormalBean monthAbnormalTypeBean = new IndexAbnormalBean();
}
